org.apache.sling.launchpad.api

## Interface StartupListener

    public interface StartupListener

A startup listener receives events about the startup. On registration of this listener, the method `inform(StartupMode, boolean)` is called with the startup mode and whether the startup is already finished. If the startup is not finished at point of registration, the `startupFinished(StartupMode)` method will be called, after the inform method has been called once the startup is finished. If the startup is not finished, the `startupProgress(float)` method might be called to indicate the current startup progress. This method should only be used for informational purposes. A listener waiting for the startup to finish, should act on both actions: a call of the inform method with the second argument set to true or a call of the startupFinished method. Whatever is called first can be used as indication.

Since:
  1.1.0

### Method Summary

Methods
`void` `inform(StartupMode mode, boolean finished)` Informs the listener upon registration about the current state.
`void` `startupFinished(StartupMode mode)` Notify finished startup.
`void` `startupProgress(float ratio)` Notify startup progress

### Method Detail

#### inform

    void inform(StartupMode mode,
              boolean finished)

Informs the listener upon registration about the current state.

Parameters:
  `mode` - The startup mode
  `finished` - Whether the startup is already finished or not

#### startupFinished

    void startupFinished(StartupMode mode)

Notify finished startup.

Parameters:
  `The` - startup mode

#### startupProgress

    void startupProgress(float ratio)

Notify startup progress

Parameters:
  `ratio` - The current ratio